develooper Front page | perl.perl5.porters | Postings from September 2012

[perl #80040] ExtUtils::MakeMaker doesn't support miniperl in installation paths

From:
James E Keenan via RT
Date:
September 1, 2012 16:21
Subject:
[perl #80040] ExtUtils::MakeMaker doesn't support miniperl in installation paths
Message ID:
rt-3.6.HEAD-11172-1346541701-1030.80040-15-0@perl.org
On Tue Nov 30 22:34:51 2010, perl-binary@plan9.de wrote:
> 
> This is a bug report for perl from perl-binary@plan9.de,
> generated with the help of perlbug 1.39 running under perl 5.12.2.
> 
> 
> -----------------------------------------------------------------
> [Please describe your issue here]
> 
> ExtUtils::MM_Unix conatins this line:
> 
>     ($self->{FULLPERL} = $self->{PERL}) =~ s/miniperl/$perl_name/i
>             unless $self->{FULLPERL};
> 
> This corrupts any path thatconatisn miniperl in it's name. I found out
> about this beause I have prefix=/opt/miniperl and CPAN was fialing
>    because
> it looked for /opt/perl/bin/perl (which confusingly also existed :).
> 
> Probably a $ at the end of miniperl would fix this while introducing a
> nice $/$ triple combo, but I am no makemaker expert :)
> 


ExtUtils-MakeMaker is primarily maintained on CPAN.  In order for this
ticket to get the attention it needs, I have moved into the CPAN bug
queue as https://rt.cpan.org/Ticket/Display.html?id=79348.

Thank you very much.
Jim Keenan

---
via perlbug:  queue: perl5 status: new
https://rt.perl.org:443/rt3/Ticket/Display.html?id=80040



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About